Package org.opensaml.saml.ext.saml2cb.impl

# Class ChannelBindingsImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.core.xml.schema.impl.XSBase64BinaryImpl
org.opensaml.saml.ext.saml2cb.impl.ChannelBindingsImpl

All Implemented Interfaces:
  `XSBase64Binary`, `XMLObject`, `SAMLObject`, `ChannelBindings`, `ActorBearing`, `MustUnderstandBearing`

public class ChannelBindingsImpl extends XSBase64BinaryImpl implements ChannelBindings
Concrete implementation of `ChannelBindings`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`soap11Actor`
soap11:actor attribute.
`private XSBooleanValue`
`soap11MustUnderstand`
soap11:mustUnderstand.
`private String`
`type`
Type attribute value.

### Fields inherited from interface org.opensaml.soap.soap11.ActorBearing

`SOAP11_ACTOR_ATTR_LOCAL_NAME, SOAP11_ACTOR_ATTR_NAME, SOAP11_ACTOR_NEXT`

### Fields inherited from interface org.opensaml.saml.ext.saml2cb.ChannelBindings

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.soap.soap11.MustUnderstandBearing

`SOAP11_MUST_UNDERSTAND_ATTR_LOCAL_NAME, SOAP11_MUST_UNDERSTAND_ATTR_NAME`

### Fields inherited from interface org.opensaml.core.xml.schema.XSBase64Binary

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ChannelBindingsImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getSOAP11Actor()`
Get the attribute value.
`String`
`getType()`
Get the Type attribute value.
`Boolean`
`isSOAP11MustUnderstand()`
Get the attribute value.
`XSBooleanValue`
`isSOAP11MustUnderstandXSBoolean()`
Get the attribute value.
`void`
`setSOAP11Actor(String newActor)`
Set the attribute value.
`void`
`setSOAP11MustUnderstand(Boolean newMustUnderstand)`
Set the attribute value.
`void`
`setSOAP11MustUnderstand(XSBooleanValue newMustUnderstand)`
Set the attribute value.
`void`
`setType(String newType)`
Set the Type attribute value.

### Methods inherited from class org.opensaml.core.xml.schema.impl.XSBase64BinaryImpl

`getOrderedChildren, getValue, setValue`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSBase64Binary

`getValue, setValue`

## Field Details

### type

@Nullable private String type
Type attribute value.

### soap11Actor

@Nullable private String soap11Actor
soap11:actor attribute.

### soap11MustUnderstand

@Nullable private XSBooleanValue soap11MustUnderstand
soap11:mustUnderstand.

## Constructor Details

### ChannelBindingsImpl

protected ChannelBindingsImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getType

@Nullable public String getType()
Get the Type attribute value.

Specified by:
  `getType` in interface `ChannelBindings`
Returns:
  the Type attribute value

### setType

public void setType(@Nullable String newType)
Set the Type attribute value.

Specified by:
  `setType` in interface `ChannelBindings`
Parameters:
  `newType` - the new Type attribute value

### isSOAP11MustUnderstand

@Nullable public Boolean isSOAP11MustUnderstand()
Get the attribute value.

Specified by:
  `isSOAP11MustUnderstand` in interface `MustUnderstandBearing`
Returns:
  return the attribute vlue

### isSOAP11MustUnderstandXSBoolean

@Nullable public XSBooleanValue isSOAP11MustUnderstandXSBoolean()
Get the attribute value.

Specified by:
  `isSOAP11MustUnderstandXSBoolean` in interface `MustUnderstandBearing`
Returns:
  return the attribute vlue

### setSOAP11MustUnderstand

public void setSOAP11MustUnderstand(@Nullable Boolean newMustUnderstand)
Set the attribute value.

Specified by:
  `setSOAP11MustUnderstand` in interface `MustUnderstandBearing`
Parameters:
  `newMustUnderstand` - the new attribute value

### setSOAP11MustUnderstand

public void setSOAP11MustUnderstand(@Nullable XSBooleanValue newMustUnderstand)
Set the attribute value.

Specified by:
  `setSOAP11MustUnderstand` in interface `MustUnderstandBearing`
Parameters:
  `newMustUnderstand` - the new attribute value

### getSOAP11Actor

@Nullable public String getSOAP11Actor()
Get the attribute value.

Specified by:
  `getSOAP11Actor` in interface `ActorBearing`
Returns:
  return the attribute vlue

### setSOAP11Actor

public void setSOAP11Actor(@Nullable String newActor)
Set the attribute value.

Specified by:
  `setSOAP11Actor` in interface `ActorBearing`
Parameters:
  `newActor` - the new attribute value